as.double.Gene {galgo} | R Documentation

## Converts the gene parameters (shape1, shape2) to its numerical representation

### Description

Converts the gene parameters (shape1, shape2) to its numerical representation.

### Usage

    ## S3 method for class 'Gene'
    as.double(x, ...)

### Value

Returns a vector containig id, shape1, and shape2.

### Author(s)

Victor Trevino. Francesco Falciani Group. University of Birmingham, U.K. http://www.bip.bham.ac.uk/bioinf

### References

Goldberg, David E. 1989 Genetic Algorithms in Search, Optimization and Machine Learning. Addison-Wesley Pub. Co. ISBN: 0201157675

### See Also

For more information see `Gene`.

### Examples

      ge <- Gene(shape1=1, shape2=100)
      ge
      as.double(ge)
      as.numeric(ge)
      as.vector(ge) # returns NA

[Package galgo version 1.4 Index]